summaryrefslogtreecommitdiffstats
path: root/network/zabbix_server/zabbix_server.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/zabbix_server/zabbix_server.SlackBuild')
-rw-r--r--network/zabbix_server/zabbix_server.SlackBuild136
1 files changed, 136 insertions, 0 deletions
diff --git a/network/zabbix_server/zabbix_server.SlackBuild b/network/zabbix_server/zabbix_server.SlackBuild
new file mode 100644
index 0000000000..fc4b944622
--- /dev/null
+++ b/network/zabbix_server/zabbix_server.SlackBuild
@@ -0,0 +1,136 @@
+#!/bin/sh
+
+# Slackware build script for zabbix_server
+# maintained by Niels Horn <niels.horn@gmail.com>
+# revision date 2010-01-27
+
+PRGNAM=zabbix_server
+VERSION=1.8.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+PRGSHORT=zabbix
+
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+ZABBIXUSER=${ZABBIXUSER:-zabbix}
+ZABBIXGROUP=${ZABBIXGROUP:-zabbix}
+ZABBIXUID=${ZABBIXUID:-228}
+ZABBIXGID=${ZABBIXGID:-228}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# Bail out if user or group isn't valid on your system
+# For slackbuilds.org, assigned zabbix uid/gid are 228/228
+# See http://slackbuilds.org/uid_gid.txt
+if ! grep ^$ZABBIXGROUP: /etc/group 2>&1 > /dev/null; then
+ echo " You must have a \"$ZABBIXGROUP\" group to run this script."
+ echo " # groupadd -g $ZABBIXGID $ZABBIXGROUP"
+ exit 1
+elif ! grep ^$ZABBIXUSER: /etc/passwd 2>&1 > /dev/null; then
+ echo " You must have a \"$ZABBIXUSER\" user to run this script."
+ echo " # useradd -u $ZABBIXUID -g $ZABBIXGROUP -d /dev/null -s /bin/false $ZABBIXUSER"
+ exit 1
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGSHORT-$VERSION
+tar xvf $CWD/$PRGSHORT-$VERSION.tar.gz
+cd $PRGSHORT-$VERSION
+chown -R root:root .
+
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-server \
+ --with-mysql \
+ --with-net-snmp \
+ --with-libcurl \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Install "frontend" to $DOCROOT/zabbix
+mkdir -p $PKG/$DOCROOT/$PRGSHORT
+cp -a frontends/php/* \
+ $PKG/$DOCROOT/$PRGSHORT/
+chown -R $PHPUSER:$PHPGROUP $PKG/$DOCROOT/$PRGSHORT
+
+# Database scripts
+mkdir -p $PKG/usr/share/$PRGNAM/{create,upgrades}
+cp -a create/data create/schema \
+ $PKG/usr/share/$PRGNAM/create/
+cp -a upgrades/dbpatches \
+ $PKG/usr/share/$PRGNAM/upgrades/
+
+# Initial log file
+mkdir -p $PKG/var/log/$PRGSHORT
+touch $PKG/var/log/$PRGSHORT/${PRGNAM}.log.new
+chown -R $ZABBIXUSER:$ZABBIXGROUP $PKG/var/log/$PRGSHORT
+
+# Dir for pid-file
+mkdir -p $PKG/var/run/$PRGSHORT
+chown -R $ZABBIXUSER:$ZABBIXGROUP $PKG/var/run/$PRGSHORT
+
+# Configuration file
+mkdir -p $PKG/etc/$PRGSHORT
+sed -e "s,PidFile=/var/tmp/,PidFile=/var/run/$PRGSHORT/," \
+ -e "s,LogFile=/tmp/,LogFile=/var/log/$PRGSHORT/," \
+ misc/conf/$PRGNAM.conf > $PKG/etc/$PRGSHORT/$PRGNAM.conf.new
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.$PRGNAM > $PKG/etc/rc.d/rc.$PRGNAM.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog FAQ INSTALL NEWS docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}